# remove-mysql-volume.ps1
# Removes the docker-compose environment including volumes.

# Define paths explicitly
$scriptDir = $PSScriptRoot
$projectRoot = Split-Path $scriptDir -Parent

$baseCompose = Join-Path $scriptDir "docker-compose.yml"
$overrideCompose = Join-Path $projectRoot "docker-compose.override.yml"

# Change the working directory explicitly to your project root
Push-Location $projectRoot

# Check if override file exists
if (Test-Path $overrideCompose) {
    Write-Host "✅ Using override file at: $overrideCompose" -ForegroundColor Green
    docker-compose -f $baseCompose -f $overrideCompose down -v
}
else {
    Write-Host "⚠️ Override file not found. Running base compose only." -ForegroundColor Yellow
    docker-compose -f $baseCompose down -v
}

# Return back to the original directory
Pop-Location
