#!/bin/bash

# Get absolute paths
script_dir="$(cd "$(dirname "$0")" && pwd)"
project_root="$(dirname "$script_dir")"

base_compose="$script_dir/docker-compose.yml"
override_compose="$project_root/docker-compose.override.yml"

# Move to project root directory
pushd "$project_root" > /dev/null || exit

# Check if override file exists
if [ -f "$override_compose" ]; then
    echo -e "\033[0;32m✅ Using override file at: $override_compose\033[0m"
    docker-compose -f "$base_compose" -f "$override_compose" --project-directory "$project_root" up -d
else
    echo -e "\033[0;33m⚠️ Override file not found. Running base compose only.\033[0m"
    docker-compose -f "$base_compose" --project-directory "$project_root" up -d
fi

# Return back to original directory
popd > /dev/null || exit
